DROP TABLE TLigne;
CREATE TABLE TLigne(designation VARCHAR2(500));

variable vnoproduit char(4)
PROMPT Saisir un numero de produit
ACCEPT vnoproduit
DECLARE
dnbfournisseurs number ;
BEGIN
SELECT COUNT(*) INTO dnbfournisseurs FROM tProduitfourn WHERE noproduit = '&vnoproduit' ;
INSERT INTO Tligne VALUES('Le nombre de fournisseur du produit' ||'&vnoproduit'||' est '|| dnbfournisseurs) ; END ;

.

/

SELECT * FROM Tligne ;
